Bug 1465122 - [abrt] gnome-shell: update_move(): gnome-shell killed by signal 11
[abrt] gnome-shell: update_move(): gnome-shell killed by signal 11
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:02ae4522425ccec713e5e22f3a8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-26 13:21 EDT by Jonathan Briggs
Modified: 2017-07-14 09:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-14 09:23:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (96.69 KB, text/plain)
2017-06-26 13:21 EDT, Jonathan Briggs
no flags Details
File: cgroup (373 bytes, text/plain)
2017-06-26 13:21 EDT, Jonathan Briggs
no flags Details
File: core_backtrace (34.36 KB, text/plain)
2017-06-26 13:21 EDT, Jonathan Briggs
no flags Details
File: cpuinfo (1.21 KB, text/plain)
2017-06-26 13:21 EDT, Jonathan Briggs
no flags Details
File: dso_list (26.02 KB, text/plain)
2017-06-26 13:21 EDT, Jonathan Briggs
no flags Details
File: environ (2.43 KB, text/plain)
2017-06-26 13:21 EDT, Jonathan Briggs
no flags Details
File: limits (1.29 KB, text/plain)
2017-06-26 13:21 EDT, Jonathan Briggs
no flags Details
File: maps (134.76 KB, text/plain)
2017-06-26 13:21 EDT, Jonathan Briggs
no flags Details
File: open_fds (8.55 KB, text/plain)
2017-06-26 13:21 EDT, Jonathan Briggs
no flags Details
File: proc_pid_status (1.29 KB, text/plain)
2017-06-26 13:21 EDT, Jonathan Briggs
no flags Details
File: var_log_messages (2.96 KB, text/plain)
2017-06-26 13:21 EDT, Jonathan Briggs
no flags Details

  None (edit)
Description Jonathan Briggs 2017-06-26 13:21:07 EDT
Description of problem:
I was dragging a window from an external 4K monitor to the laptop's 4K display and gnome-shell just froze up.

Looking at the back trace, the code is failing to verify that the monitor lookup function actually found a monitor.
This codebase obviously needs a static analyzer to verify that functions which can return NULL are actually checked
to see if they did return NULL.

The code also seems very weird in that it is freely mixing and matching ints and floats for pixels.
Why all the useless conversion? Pick one!

Version-Release number of selected component:
gnome-shell-3.24.2-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: update_move
executable:     /usr/bin/gnome-shell
journald_cursor: s=f26a41dd0046472c99b00b7ae7f2971e;i=146688;b=b1ec753824bd400a9de5ac6ac484f740;m=afe466c63;t=552dff0f51011;x=eabb10a6fc5703d3
kernel:         4.11.6-301.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 update_move at core/window.c:5660
 #1 meta_window_handle_mouse_grab_op_event at core/window.c:6091
 #2 meta_display_handle_event at core/events.c:304
 #3 event_callback at core/events.c:417
 #4 _clutter_event_process_filters at clutter-event.c:1913
 #5 emit_pointer_event at clutter-main.c:2011
 #6 _clutter_process_event_details at clutter-main.c:2327
 #7 _clutter_process_event at clutter-main.c:2548
 #8 _clutter_stage_process_queued_events at clutter-stage.c:1026
 #9 master_clock_process_events at clutter-master-clock-default.c:364
Comment 1 Jonathan Briggs 2017-06-26 13:21:12 EDT
Created attachment 1292027 [details]
File: backtrace
Comment 2 Jonathan Briggs 2017-06-26 13:21:12 EDT
Created attachment 1292028 [details]
File: cgroup
Comment 3 Jonathan Briggs 2017-06-26 13:21:13 EDT
Created attachment 1292029 [details]
File: core_backtrace
Comment 4 Jonathan Briggs 2017-06-26 13:21:14 EDT
Created attachment 1292030 [details]
File: cpuinfo
Comment 5 Jonathan Briggs 2017-06-26 13:21:15 EDT
Created attachment 1292031 [details]
File: dso_list
Comment 6 Jonathan Briggs 2017-06-26 13:21:16 EDT
Created attachment 1292032 [details]
File: environ
Comment 7 Jonathan Briggs 2017-06-26 13:21:17 EDT
Created attachment 1292033 [details]
File: limits
Comment 8 Jonathan Briggs 2017-06-26 13:21:18 EDT
Created attachment 1292034 [details]
File: maps
Comment 9 Jonathan Briggs 2017-06-26 13:21:19 EDT
Created attachment 1292035 [details]
File: open_fds
Comment 10 Jonathan Briggs 2017-06-26 13:21:20 EDT
Created attachment 1292036 [details]
File: proc_pid_status
Comment 11 Jonathan Briggs 2017-06-26 13:21:21 EDT
Created attachment 1292037 [details]
File: var_log_messages
Comment 12 Fedora Update System 2017-07-12 13:17:14 EDT
mutter-3.24.3-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-52ff2e4860
Comment 13 Fedora Update System 2017-07-13 19:51:05 EDT
mutter-3.24.3-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-52ff2e4860
Comment 14 Fedora Update System 2017-07-14 09:23:43 EDT
mutter-3.24.3-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.